Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-4109

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2011-4109
Last Modified 11 Sep 2013 11:19:09
Published 05 Jan 2012 08:55:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2011-4109

Summary

Double free vulnerability in OpenSSL 0.9.8 before 0.9.8s, when X509_V_FLAG_POLICY_CHECK is enabled, allows remote attackers to have an unspecified impact by triggering failure of a policy check.

Vulnerable Systems

Application

  • Openssl 0.9.8

  • Openssl 0.9.8a

  • Openssl 0.9.8b

  • Openssl 0.9.8c

  • Openssl 0.9.8d

  • Openssl 0.9.8e

  • Openssl 0.9.8f

  • Openssl 0.9.8g

  • Openssl 0.9.8h

  • Openssl 0.9.8i

  • Openssl 0.9.8j

  • Openssl 0.9.8k

  • Openssl 0.9.8l

  • Openssl 0.9.8m

  • Openssl 0.9.8n

  • Openssl 0.9.8o

  • Openssl 0.9.8p

  • Openssl 0.9.8q

  • Openssl 0.9.8r


References

CONFIRM - http://www.openssl.org/news/secadv_20120104.txt

MANDRIVA - MDVSA-2012:007

MANDRIVA - MDVSA-2012:006

SUSE - SUSE-SU-2012:0084

XF - openssl-policy-checks-dos(72129)

SECUNIA - 48528

CONFIRM - http://aix.software.ibm.com/aix/efixes/security/openssl_advisory3.asc

HP - HPSBOV02793

HP - SSRT100891

REDHAT - RHSA-2012:1308

REDHAT - RHSA-2012:1307

REDHAT - RHSA-2012:1306

DEBIAN - DSA-2390

HP - HPSBUX02734

HP - SSRT100729

CONFIRM - http://support.apple.com/kb/HT5784

APPLE - APPLE-SA-2013-06-04-1

CERT-VN - VU#737740

Related Patches

Apple 2013-06-04 Security Update 2013-002 Server (Lion)

Red Hat 2012:0060-01 RHSA Moderate: openssl security update for RHEL 5 x86

Red Hat 2012:0060-01 RHSA Moderate: openssl security update for RHEL 5 x86_64

Novell SUSE 2012:5635 libopenssl-devel security update for SLE 11 SP1 i586

Novell SUSE 2012:5635 libopenssl-devel security update for SLE 11 SP1 x86_64

Novell SUSE 2012:7923 openssl security update for SLE 10 SP4 i586

Novell SUSE 2012:7923 openssl security update for SLE 10 SP4 x86_64


Last Updated: 27 May 2016 10:58:00